Browse code

Remove publish script

people shouldn't run it now that we auto-build the website

Sebastian Hahn authored on19/10/2014 18:56:47
Showing1 changed files
1 1
deleted file mode 100755
... ...
@@ -1,42 +0,0 @@
1
-#!/bin/sh
2
-set -e # stop if we encounter an error
3
-
4
-# pull the latest changes
5
-if [ -e .svn ] ; then
6
-	svn update
7
-elif [ -e .git ] ; then
8
-	git svn rebase
9
-else
10
-	echo 2>&1 "Cannot figure out which version control thing you're using.  Skipping update"
11
-fi
12
-
13
-# clean up the working directory
14
-make clean
15
-
16
-# actually build the site
17
-make -j3
18
-
19
-# don't copy over stuff with permissions that make it useless
20
-chmod -R a+r *
21
-rsync \
22
-	--exclude .DS_Store \
23
-	--exclude .svn \
24
-	--exclude .git \
25
-	--exclude '.*.sw[po]' \
26
-	--exclude .deps \
27
-	--exclude svn \
28
-	--exclude README \
29
-	--exclude dist \
30
-	--exclude releases \
31
-	--exclude torbutton-current.xpi \
32
-	--exclude project \
33
-	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
34
-
35
-echo "Forcing mirror update"
36
-ssh www-master.torproject.org '
37
-	(
38
-	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
39
-	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
40
-	) &&
41
-	echo "Triggering mirror run" &&
42
-	/home/mirroradm/bin/trigger-mirrors'
Browse code

capture my "how to edit the website" instructions to dcf, for posterity

Roger Dingledine authored on17/10/2013 05:08:47
Showing1 changed files
... ...
@@ -25,6 +25,7 @@ rsync \
25 25
 	--exclude '.*.sw[po]' \
26 26
 	--exclude .deps \
27 27
 	--exclude svn \
28
+	--exclude README \
28 29
 	--exclude dist \
29 30
 	--exclude releases \
30 31
 	--exclude torbutton-current.xpi \
Browse code

Fix the publish script to point to a real hostname

Sebastian Hahn authored on20/05/2012 10:25:31
Showing1 changed files
... ...
@@ -29,10 +29,10 @@ rsync \
29 29
 	--exclude releases \
30 30
 	--exclude torbutton-current.xpi \
31 31
 	--exclude project \
32
-	-Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
32
+	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
33 33
 
34 34
 echo "Forcing mirror update"
35
-ssh vescum '
35
+ssh www-master.torproject.org '
36 36
 	(
37 37
 	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38 38
 	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
Browse code

bump tbbs for firefox 12 and add vietnamese and korean

Erinn Clark authored on28/04/2012 15:38:52
Showing1 changed files
... ...
@@ -29,10 +29,10 @@ rsync \
29 29
 	--exclude releases \
30 30
 	--exclude torbutton-current.xpi \
31 31
 	--exclude project \
32
-	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
32
+	-Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
33 33
 
34 34
 echo "Forcing mirror update"
35
-ssh www-master.torproject.org '
35
+ssh vescum '
36 36
 	(
37 37
 	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38 38
 	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
Browse code

Revert the non-version changes of previous commit

Looks like a ton of stuff got accidentally committed

Sebastian Hahn authored on19/02/2012 13:54:52
Showing1 changed files
... ...
@@ -1,17 +1,41 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
-make clean # clean cruft
4
+# pull the latest changes
5
+if [ -e .svn ] ; then
6
+	svn update
7
+elif [ -e .git ] ; then
8
+	git svn rebase
9
+else
10
+	echo 2>&1 "Cannot figure out which version control thing you're using.  Skipping update"
11
+fi
5 12
 
6
-svn update # get changes
13
+# clean up the working directory
14
+make clean
7 15
 
8
-make -j3 # abuse the cores
16
+# actually build the site
17
+make -j3
9 18
 
10 19
 # don't copy over stuff with permissions that make it useless
11
-#chmod a+r * -R
12 20
 chmod -R a+r *
13
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
21
+rsync \
22
+	--exclude .DS_Store \
23
+	--exclude .svn \
24
+	--exclude .git \
25
+	--exclude '.*.sw[po]' \
26
+	--exclude .deps \
27
+	--exclude svn \
28
+	--exclude dist \
29
+	--exclude releases \
30
+	--exclude torbutton-current.xpi \
31
+	--exclude project \
32
+	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
14 33
 
15 34
 echo "Forcing mirror update"
16
-ssh vescum '/home/mirroradm/bin/trigger-mirrors'
17
-ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
35
+ssh www-master.torproject.org '
36
+	(
37
+	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
+	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
39
+	) &&
40
+	echo "Triggering mirror run" &&
41
+	/home/mirroradm/bin/trigger-mirrors'
Browse code

update version numbers for corrected tbbs on windows and osx 64-bit

Erinn Clark authored on19/02/2012 13:44:32
Showing1 changed files
... ...
@@ -1,41 +1,17 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
-# pull the latest changes
5
-if [ -e .svn ] ; then
6
-	svn update
7
-elif [ -e .git ] ; then
8
-	git svn rebase
9
-else
10
-	echo 2>&1 "Cannot figure out which version control thing you're using.  Skipping update"
11
-fi
4
+make clean # clean cruft
12 5
 
13
-# clean up the working directory
14
-make clean
6
+svn update # get changes
15 7
 
16
-# actually build the site
17
-make -j3
8
+make -j3 # abuse the cores
18 9
 
19 10
 # don't copy over stuff with permissions that make it useless
11
+#chmod a+r * -R
20 12
 chmod -R a+r *
21
-rsync \
22
-	--exclude .DS_Store \
23
-	--exclude .svn \
24
-	--exclude .git \
25
-	--exclude '.*.sw[po]' \
26
-	--exclude .deps \
27
-	--exclude svn \
28
-	--exclude dist \
29
-	--exclude releases \
30
-	--exclude torbutton-current.xpi \
31
-	--exclude project \
32
-	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
13
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
33 14
 
34 15
 echo "Forcing mirror update"
35
-ssh www-master.torproject.org '
36
-	(
37
-	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
-	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
39
-	) &&
40
-	echo "Triggering mirror run" &&
41
-	/home/mirroradm/bin/trigger-mirrors'
16
+ssh vescum '/home/mirroradm/bin/trigger-mirrors'
17
+ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
Browse code

and fix output fd for the error message

Peter Palfrader authored on17/02/2012 18:17:51
Showing1 changed files
... ...
@@ -35,7 +35,7 @@ echo "Forcing mirror update"
35 35
 ssh www-master.torproject.org '
36 36
 	(
37 37
 	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
-	 ( echo 2>&1 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
38
+	 ( echo >&2 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
39 39
 	) &&
40 40
 	echo "Triggering mirror run" &&
41 41
 	/home/mirroradm/bin/trigger-mirrors'
Browse code

publish: Fix find logic, and we do not need a tty

Peter Palfrader authored on17/02/2012 18:15:47
Showing1 changed files
... ...
@@ -32,9 +32,10 @@ rsync \
32 32
 	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
33 33
 
34 34
 echo "Forcing mirror update"
35
-ssh -t www-master.torproject.org '
35
+ssh www-master.torproject.org '
36 36
 	(
37
-	 find /srv/www-master.torproject.org/htdocs ! -perm +444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
-	 echo 2>&1 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."
37
+	 find /srv/www-master.torproject.org/htdocs ! -perm -444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
+	 ( echo 2>&1 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."; exit 1)
39 39
 	) &&
40
+	echo "Triggering mirror run" &&
40 41
 	/home/mirroradm/bin/trigger-mirrors'
Browse code

Update publish

- extend ignore list for rsync
- use www-master.torproject.org instead of unqualified vescum
- fix recursive chmod to only try to chmod files that need it
- supported updating with both git and svn instead of just svn
- do not trigger a mirrorrun if there are unreadable files in
www-master's docroot

Peter Palfrader authored on17/02/2012 18:11:49
Showing1 changed files
... ...
@@ -2,7 +2,13 @@
2 2
 set -e # stop if we encounter an error
3 3
 
4 4
 # pull the latest changes
5
-svn update
5
+if [ -e .svn ] ; then
6
+	svn update
7
+elif [ -e .git ] ; then
8
+	git svn rebase
9
+else
10
+	echo 2>&1 "Cannot figure out which version control thing you're using.  Skipping update"
11
+fi
6 12
 
7 13
 # clean up the working directory
8 14
 make clean
... ...
@@ -12,8 +18,23 @@ make -j3
12 18
 
13 19
 # don't copy over stuff with permissions that make it useless
14 20
 chmod -R a+r *
15
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
21
+rsync \
22
+	--exclude .DS_Store \
23
+	--exclude .svn \
24
+	--exclude .git \
25
+	--exclude '.*.sw[po]' \
26
+	--exclude .deps \
27
+	--exclude svn \
28
+	--exclude dist \
29
+	--exclude releases \
30
+	--exclude torbutton-current.xpi \
31
+	--exclude project \
32
+	-Prvz --delete . www-master.torproject.org:/srv/www-master.torproject.org/htdocs
16 33
 
17 34
 echo "Forcing mirror update"
18
-ssh vescum '/home/mirroradm/bin/trigger-mirrors'
19
-ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
35
+ssh -t www-master.torproject.org '
36
+	(
37
+	 find /srv/www-master.torproject.org/htdocs ! -perm +444 -print0 | xargs -0 --no-run-if-empty chmod -v a+r ||
38
+	 echo 2>&1 "There are unreadable files in /srv/www-master.torproject.org/htdocs, not triggering mirror run."
39
+	) &&
40
+	/home/mirroradm/bin/trigger-mirrors'
Browse code

Revert part of "get all the expert bundle versions"

This reverts commit 2790f8f20f2398eda08bd8e98b4930327a63b8eb.

Looks like some stuff got accidentally committed, most importantly the
make clean removal and the change of the stable/alpha version

Sebastian Hahn authored on16/01/2012 11:56:03
Showing1 changed files
... ...
@@ -1,8 +1,13 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
+# pull the latest changes
4 5
 svn update
6
+
7
+# clean up the working directory
5 8
 make clean
9
+
10
+# actually build the site
6 11
 make -j3
7 12
 
8 13
 # don't copy over stuff with permissions that make it useless
Browse code

put the clean back into publish.

Andrew Lewman authored on07/01/2012 15:23:42
Showing1 changed files
... ...
@@ -2,6 +2,7 @@
2 2
 set -e # stop if we encounter an error
3 3
 
4 4
 svn update
5
+make clean
5 6
 make -j3
6 7
 
7 8
 # don't copy over stuff with permissions that make it useless
Browse code

get all the expert bundle versions

Erinn Clark authored on05/01/2012 19:46:55
Showing1 changed files
... ...
@@ -1,13 +1,7 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
-# pull the latest changes
5 4
 svn update
6
-
7
-# clean up the working directory
8
-make clean
9
-
10
-# actually build the site
11 5
 make -j3
12 6
 
13 7
 # don't copy over stuff with permissions that make it useless
Browse code

break publish for everyone to put back the 'make clean'

Andrew Lewman authored on15/12/2011 04:23:34
Showing1 changed files
... ...
@@ -1,7 +1,13 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
+# pull the latest changes
4 5
 svn update
6
+
7
+# clean up the working directory
8
+make clean
9
+
10
+# actually build the site
5 11
 make -j3
6 12
 
7 13
 # don't copy over stuff with permissions that make it useless
Browse code

bump tbb versions to 2.2.34-2

Erinn Clark authored on12/11/2011 02:10:14
Showing1 changed files
... ...
@@ -1,16 +1,13 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
-make clean # clean cruft
5
-
6
-svn update # get changes
7
-
8
-make -j3 # abuse the cores
4
+svn update
5
+make -j3
9 6
 
10 7
 # don't copy over stuff with permissions that make it useless
11 8
 chmod -R a+r *
12
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
9
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
13 10
 
14 11
 echo "Forcing mirror update"
15
-ssh vescum.torproject.org '/home/mirroradm/bin/trigger-mirrors'
16
-ssh vescum.torproject.org chmod g+w -R /srv/www-master.torproject.org/htdocs
12
+ssh vescum '/home/mirroradm/bin/trigger-mirrors'
13
+ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
Browse code

Fix chmod call to put its option first

Sebastian Hahn authored on19/10/2011 07:40:15
Showing1 changed files
... ...
@@ -8,7 +8,7 @@ svn update # get changes
8 8
 make -j3 # abuse the cores
9 9
 
10 10
 # don't copy over stuff with permissions that make it useless
11
-chmod a+r * -R
11
+chmod -R a+r *
12 12
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
13 13
 
14 14
 echo "Forcing mirror update"
Browse code

some people need to run the publish script from outside the tor name space

Roger Dingledine authored on21/06/2011 06:41:02
Showing1 changed files
... ...
@@ -9,8 +9,8 @@ make -j3 # abuse the cores
9 9
 
10 10
 # don't copy over stuff with permissions that make it useless
11 11
 chmod a+r * -R
12
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
12
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
13 13
 
14 14
 echo "Forcing mirror update"
15
-ssh vescum '/home/mirroradm/bin/trigger-mirrors'
16
-ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
15
+ssh vescum.torproject.org '/home/mirroradm/bin/trigger-mirrors'
16
+ssh vescum.torproject.org chmod g+w -R /srv/www-master.torproject.org/htdocs
Browse code

sync my local working copy of publish with the world.

Andrew Lewman authored on23/03/2011 16:15:43
Showing1 changed files
... ...
@@ -1,13 +1,16 @@
1 1
 #!/bin/sh
2 2
 set -e # stop if we encounter an error
3 3
 
4
-svn update
5
-make -j3
4
+make clean # clean cruft
5
+
6
+svn update # get changes
7
+
8
+make -j3 # abuse the cores
6 9
 
7 10
 # don't copy over stuff with permissions that make it useless
8 11
 chmod a+r * -R
9
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
12
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
10 13
 
11 14
 echo "Forcing mirror update"
12
-ssh vescum.torproject.org '/home/mirroradm/bin/trigger-mirrors'
13
-ssh vescum.torproject.org chmod g+w -R /srv/www-master.torproject.org/htdocs
15
+ssh vescum '/home/mirroradm/bin/trigger-mirrors'
16
+ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
Browse code

put phobos's defaults back into the publish script and Makefile

Erinn Clark authored on10/03/2011 10:48:56
Showing1 changed files
... ...
@@ -5,8 +5,7 @@ svn update
5 5
 make -j3
6 6
 
7 7
 # don't copy over stuff with permissions that make it useless
8
-#chmod a+r * -R
9
-chmod -R a+r *
8
+chmod a+r * -R
10 9
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
11 10
 
12 11
 echo "Forcing mirror update"
Browse code

update the tor im browser bundle version too, to at least be truthful. but we should drop it after an announcement.

Erinn Clark authored on10/03/2011 10:16:44
Showing1 changed files
... ...
@@ -5,7 +5,8 @@ svn update
5 5
 make -j3
6 6
 
7 7
 # don't copy over stuff with permissions that make it useless
8
-chmod a+r * -R
8
+#chmod a+r * -R
9
+chmod -R a+r *
9 10
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
10 11
 
11 12
 echo "Forcing mirror update"
Browse code

don't try to delete project/trace/www-master.torproject.org every time i push.

also, say where vescum actually is

Roger Dingledine authored on09/03/2011 19:29:06
Showing1 changed files
... ...
@@ -6,8 +6,8 @@ make -j3
6 6
 
7 7
 # don't copy over stuff with permissions that make it useless
8 8
 chmod a+r * -R
9
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
9
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi --exclude project -Prvz --delete . vescum.torproject.org:/srv/www-master.torproject.org/htdocs
10 10
 
11 11
 echo "Forcing mirror update"
12
-ssh vescum '/home/mirroradm/bin/trigger-mirrors'
13
-ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
12
+ssh vescum.torproject.org '/home/mirroradm/bin/trigger-mirrors'
13
+ssh vescum.torproject.org chmod g+w -R /srv/www-master.torproject.org/htdocs
Browse code

add rpm verification instructions and fix paths

Erinn Clark authored on19/01/2011 01:15:41
Showing1 changed files
... ...
@@ -5,7 +5,7 @@ svn update
5 5
 make -j3
6 6
 
7 7
 # don't copy over stuff with permissions that make it useless
8
-chmod -R a+r *
8
+chmod a+r * -R
9 9
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
10 10
 
11 11
 echo "Forcing mirror update"
Browse code

update macros on download page too

Erinn Clark authored on18/01/2011 23:50:33
Showing1 changed files
... ...
@@ -5,7 +5,7 @@ svn update
5 5
 make -j3
6 6
 
7 7
 # don't copy over stuff with permissions that make it useless
8
-chmod a+r * -R
8
+chmod -R a+r *
9 9
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
10 10
 
11 11
 echo "Forcing mirror update"
Browse code

update publish again.

Andrew Lewman authored on09/10/2010 21:11:35
Showing1 changed files
... ...
@@ -4,15 +4,10 @@ set -e # stop if we encounter an error
4 4
 svn update
5 5
 make -j3
6 6
 
7
-# Update a timestamp so we can check whether each mirror is
8
-# up to date.
9
-[ -d project/trace ] || mkdir -p project/trace
10
-date -u > project/trace/www.torproject.org
11
-
12 7
 # don't copy over stuff with permissions that make it useless
13 8
 chmod a+r * -R
14 9
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
15
-ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
16 10
 
17 11
 echo "Forcing mirror update"
18 12
 ssh vescum '/home/mirroradm/bin/trigger-mirrors'
13
+ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
Browse code

fix publish one more time.

Andrew Lewman authored on09/10/2010 06:40:06
Showing1 changed files
... ...
@@ -16,4 +16,3 @@ ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
16 16
 
17 17
 echo "Forcing mirror update"
18 18
 ssh vescum '/home/mirroradm/bin/trigger-mirrors'
19
-
Browse code

fix the path to mirror trigger.

Andrew Lewman authored on09/10/2010 02:39:31
Showing1 changed files
... ...
@@ -15,5 +15,5 @@ rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude rele
15 15
 ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
16 16
 
17 17
 echo "Forcing mirror update"
18
-ssh vescum '/var/lib/mirror-tor/trigger-sync'
18
+ssh vescum '/home/mirroradm/bin/trigger-mirrors'
19 19
 
Browse code

update the publish script.

Andrew Lewman authored on09/10/2010 02:37:07
Showing1 changed files
... ...
@@ -2,7 +2,7 @@
2 2
 set -e # stop if we encounter an error
3 3
 
4 4
 svn update
5
-make
5
+make -j3
6 6
 
7 7
 # Update a timestamp so we can check whether each mirror is
8 8
 # up to date.
... ...
@@ -11,14 +11,9 @@ date -u > project/trace/www.torproject.org
11 11
 
12 12
 # don't copy over stuff with permissions that make it useless
13 13
 chmod a+r * -R
14
-
15
-## I'm not comfortable having arbitrary people use --delete yet,
16
-## since if they screw up it'll blow away arbitrary things.
17
-#rsync -Prvz --delete . tor.eff.org:directory/
18
-
19
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . byblos:/var/www/www.torproject.org/htdocs/
20
-ssh byblos chmod g+w -R /var/www/www.torproject.org/htdocs
14
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
15
+ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
21 16
 
22 17
 echo "Forcing mirror update"
23
-ssh byblos '/var/lib/mirror-tor/trigger-sync'
18
+ssh vescum '/var/lib/mirror-tor/trigger-sync'
24 19
 
Browse code

increase the odds that i can push the website after phobos pushes it somebody should improve this line if they want to

Roger Dingledine authored on03/08/2010 20:58:41
Showing1 changed files
... ...
@@ -17,6 +17,7 @@ chmod a+r * -R
17 17
 #rsync -Prvz --delete . tor.eff.org:directory/
18 18
 
19 19
 rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . byblos:/var/www/www.torproject.org/htdocs/
20
+ssh byblos chmod g+w -R /var/www/www.torproject.org/htdocs
20 21
 
21 22
 echo "Forcing mirror update"
22 23
 ssh byblos '/var/lib/mirror-tor/trigger-sync'
Browse code

update to the current publish script.

Andrew Lewman authored on19/07/2010 15:46:52
Showing1 changed files
... ...
@@ -16,7 +16,7 @@ chmod a+r * -R
16 16
 ## since if they screw up it'll blow away arbitrary things.
17 17
 #rsync -Prvz --delete . tor.eff.org:directory/
18 18
 
19
-rsync --exclude .svn --exclude .deps -Prvz . byblos:/var/www/www.torproject.org/htdocs/
19
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . byblos:/var/www/www.torproject.org/htdocs/
20 20
 
21 21
 echo "Forcing mirror update"
22 22
 ssh byblos '/var/lib/mirror-tor/trigger-sync'
Browse code

the publish script now needs you to trigger a sync to the other www

Roger Dingledine authored on09/03/2010 00:53:51
Showing1 changed files
... ...
@@ -16,5 +16,8 @@ chmod a+r * -R
16 16
 ## since if they screw up it'll blow away arbitrary things.
17 17
 #rsync -Prvz --delete . tor.eff.org:directory/
18 18
 
19
-rsync --exclude .svn --exclude .deps -Prvz . www.torproject.org:/var/www/www.torproject.org/htdocs/
19
+rsync --exclude .svn --exclude .deps -Prvz . byblos:/var/www/www.torproject.org/htdocs/
20
+
21
+echo "Forcing mirror update"
22
+ssh byblos '/var/lib/mirror-tor/trigger-sync'
20 23
 
Browse code

revert the last change to publish until I can fix it correctly.

Andrew Lewman authored on16/06/2009 06:12:47
Showing1 changed files
... ...
@@ -10,7 +10,7 @@ make
10 10
 date -u > project/trace/www.torproject.org
11 11
 
12 12
 # don't copy over stuff with permissions that make it useless
13
-chmod 664 * -R
13
+chmod a+r * -R
14 14
 
15 15
 ## I'm not comfortable having arbitrary people use --delete yet,
16 16
 ## since if they screw up it'll blow away arbitrary things.
Browse code

update the publish script to set perms correctly

Andrew Lewman authored on15/06/2009 22:15:34
Showing1 changed files
... ...
@@ -10,7 +10,7 @@ make
10 10
 date -u > project/trace/www.torproject.org
11 11
 
12 12
 # don't copy over stuff with permissions that make it useless
13
-chmod a+r * -R
13
+chmod 664 * -R
14 14
 
15 15
 ## I'm not comfortable having arbitrary people use --delete yet,
16 16
 ## since if they screw up it'll blow away arbitrary things.
Browse code

sjmurdoch suggests --exclude .svn --exclude .deps as args to rsync. sounds good to me.

Roger Dingledine authored on02/03/2008 22:41:45
Showing1 changed files
... ...
@@ -16,5 +16,5 @@ chmod a+r * -R
16 16
 ## since if they screw up it'll blow away arbitrary things.
17 17
 #rsync -Prvz --delete . tor.eff.org:directory/
18 18
 
19
-rsync -Prvz . www.torproject.org:/var/www/www.torproject.org/htdocs/
19
+rsync --exclude .svn --exclude .deps -Prvz . www.torproject.org:/var/www/www.torproject.org/htdocs/
20 20
 
Browse code

write a note for arma when he wakes up

Roger Dingledine authored on28/10/2007 12:00:42
Showing1 changed files
... ...
@@ -4,6 +4,8 @@ set -e # stop if we encounter an error
4 4
 svn update
5 5
 make
6 6
 
7
+# Update a timestamp so we can check whether each mirror is
8
+# up to date.
7 9
 [ -d project/trace ] || mkdir -p project/trace
8 10
 date -u > project/trace/www.torproject.org
9 11
 
Browse code

weasel told me to run these two lines every time i push to the website. must obey weasel.

Roger Dingledine authored on28/10/2007 11:59:45
Showing1 changed files
... ...
@@ -4,6 +4,9 @@ set -e # stop if we encounter an error
4 4
 svn update
5 5
 make
6 6
 
7
+[ -d project/trace ] || mkdir -p project/trace
8
+date -u > project/trace/www.torproject.org
9
+
7 10
 # don't copy over stuff with permissions that make it useless
8 11
 chmod a+r * -R
9 12
 
Browse code

make byblos the default target for "./publish". make a legacy one in case we need to publish to alcatraz one last time.

Roger Dingledine authored on16/10/2007 04:32:31
Showing1 changed files
... ...
@@ -9,7 +9,7 @@ chmod a+r * -R
9 9
 
10 10
 ## I'm not comfortable having arbitrary people use --delete yet,
11 11
 ## since if they screw up it'll blow away arbitrary things.
12
-#rsync -Pravz --delete . tor.eff.org:directory/
12
+#rsync -Prvz --delete . tor.eff.org:directory/
13 13
 
14
-rsync -Prvz . tor.eff.org:/www/tor.eff.org/docs/
14
+rsync -Prvz . www.torproject.org:/var/www/www.torproject.org/htdocs/
15 15
 
Browse code

stop using the 'archive' flag for rsync. this was clobbering ownership, permissions, etc.

Roger Dingledine authored on11/02/2007 06:43:41
Showing1 changed files
... ...
@@ -11,5 +11,5 @@ chmod a+r * -R
11 11
 ## since if they screw up it'll blow away arbitrary things.
12 12
 #rsync -Pravz --delete . tor.eff.org:directory/
13 13
 
14
-rsync -Pravz . tor.eff.org:/www/tor.eff.org/docs/
14
+rsync -Prvz . tor.eff.org:/www/tor.eff.org/docs/
15 15
 
Browse code

weasel gave me a less ugly shell hack

Roger Dingledine authored on23/09/2006 18:55:47
Showing1 changed files
... ...
@@ -1,9 +1,11 @@
1 1
 #!/bin/sh
2
-svn update && \
3
-make && \
2
+set -e # stop if we encounter an error
3
+
4
+svn update
5
+make
4 6
 
5 7
 # don't copy over stuff with permissions that make it useless
6
-chmod a+r * -R && \
8
+chmod a+r * -R
7 9
 
8 10
 ## I'm not comfortable having arbitrary people use --delete yet,
9 11
 ## since if they screw up it'll blow away arbitrary things.
Browse code

make ./publish stop when something fails

Roger Dingledine authored on18/09/2006 16:59:25
Showing1 changed files
... ...
@@ -1,10 +1,9 @@
1 1
 #!/bin/sh
2
-svn update
3
-make
4
-# XXX should check whether make fails
2
+svn update && \
3
+make && \
5 4
 
6 5
 # don't copy over stuff with permissions that make it useless
7
-chmod a+r * -R
6
+chmod a+r * -R && \
8 7
 
9 8
 ## I'm not comfortable having arbitrary people use --delete yet,
10 9
 ## since if they screw up it'll blow away arbitrary things.
Browse code

change the website publish script to use svn rather than cvs

Roger Dingledine authored on23/08/2006 00:15:11
Showing1 changed files
... ...
@@ -1,5 +1,5 @@
1 1
 #!/bin/sh
2
-cvs update -d -P
2
+svn update
3 3
 make
4 4
 # XXX should check whether make fails
5 5
 
Browse code

hack to avoid copying a-r files to the website.

Roger Dingledine authored on01/08/2006 00:21:32
Showing1 changed files
... ...
@@ -3,6 +3,9 @@ cvs update -d -P
3 3
 make
4 4
 # XXX should check whether make fails
5 5
 
6
+# don't copy over stuff with permissions that make it useless
7
+chmod a+r * -R
8
+
6 9
 ## I'm not comfortable having arbitrary people use --delete yet,
7 10
 ## since if they screw up it'll blow away arbitrary things.
8 11
 #rsync -Pravz --delete . tor.eff.org:directory/
Browse code

switch the publish script to use rsync like it should

Roger Dingledine authored on31/07/2006 23:19:40
Showing1 changed files
... ...
@@ -2,9 +2,10 @@
2 2
 cvs update -d -P
3 3
 make
4 4
 # XXX should check whether make fails
5
-scp *.html.* tor.eff.org:/www/tor.eff.org/docs/
6
-scp docs/*.html.* tor.eff.org:/www/tor.eff.org/docs/docs/
7 5
 
8
-## This won't move images, css, etc. Somebody should set up rsync or
9
-## something smarter to move those, or you can scp them separately.
6
+## I'm not comfortable having arbitrary people use --delete yet,
7
+## since if they screw up it'll blow away arbitrary things.
8
+#rsync -Pravz --delete . tor.eff.org:directory/
9
+
10
+rsync -Pravz . tor.eff.org:/www/tor.eff.org/docs/
10 11
 
Browse code

a dinky script to demonstrate some steps of building the website

Roger Dingledine authored on31/07/2006 23:15:41
Showing1 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,10 @@
1
+#!/bin/sh
2
+cvs update -d -P
3
+make
4
+# XXX should check whether make fails
5
+scp *.html.* tor.eff.org:/www/tor.eff.org/docs/
6
+scp docs/*.html.* tor.eff.org:/www/tor.eff.org/docs/docs/
7
+
8
+## This won't move images, css, etc. Somebody should set up rsync or
9
+## something smarter to move those, or you can scp them separately.
10
+